/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.introspection;

import org.fabric3.host.Fabric3Exception;

/**
 * @version $Rev: 4288 $ $Date: 2008-05-21 21:27:11 +0100 (Wed, 21 May 2008) $
 */
public abstract class IntrospectionException extends Fabric3Exception {
    private static final long serialVersionUID = -7824532555093050899L;

    protected IntrospectionException() {
    }

    protected IntrospectionException(String message) {
        super(message);
    }

    protected IntrospectionException(String message, Throwable cause) {
        super(message, cause);
    }

    protected IntrospectionException(Throwable cause) {
        super(cause);
    }
}
